Package net.shibboleth.shared.xml

# Enum Class XMLSpace

java.lang.Object
java.lang.Enum<XMLSpace>
net.shibboleth.shared.xml.XMLSpace

All Implemented Interfaces:
  `Serializable`, `Comparable<XMLSpace>`, `Constable`

public enum XMLSpace extends Enum<XMLSpace>
Enum representing the allowed values of the xml:space attribute.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
xml:space value "default".
`PRESERVE`
xml:space value "preserve".

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`XMLSpace()`

## Method Summary

Modifier and Type
Method
Description
`static XMLSpace`
`parseValue(String value)`
Parse a string value into an XMLSpaceEnum.
`String`
`toString()`
`static XMLSpace`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XMLSpace[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final XMLSpace DEFAULT
xml:space value "default".

### PRESERVE

public static final XMLSpace PRESERVE
xml:space value "preserve".

## Constructor Details

### XMLSpace

private XMLSpace()

## Method Details

### values

public static XMLSpace[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XMLSpace valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

@Nonnull public String toString()

Overrides:
  `toString` in class `Enum<XMLSpace>`

### parseValue

public static XMLSpace parseValue(@Nonnull String value)
Parse a string value into an XMLSpaceEnum.

The legal values are "default" and "preserve".

Parameters:
  `value` - the value to parse
Returns:
  the corresponding XMLSpaceEnum